
  /**
  ***  determine the board type and emulate legacy
  ***  call if needed
  **/

  tpro_boolean_t bIsTsync;
  CHECK(TPRO_boardIsTsync(HANDLE_NAME, &bIsTsync),
        TPRO_SUCCESS);
  
  if(bIsTsync == TPRO_TRUE)
  {
    TSYNC_ResetObj pObj;
    pObj.type = SS_RESET_BRD;

    TSYNC_ERROR err = TSYNC_SS_reset(HANDLE_NAME, &pObj);
    if (err != TSYNC_SUCCESS)
    {
        printf(" *** Error: %s.\n", tsync_strerror(err));
        return TPRO_COMM_ERR;
    }
    
    return (TPRO_SUCCESS);
  }
