
  /**
  ***  determine the board type and emulate legacy
  ***  call if needed
  **/
  
  tpro_boolean_t bIsTsync;
  CHECK(TPRO_boardIsTsync(hnd, &bIsTsync),
        TPRO_SUCCESS);
  
  if(bIsTsync == TPRO_TRUE)
  {
    TSYNC_ERROR err = TSYNC_HW_setTsReq((TSYNC_BoardHandle) hnd);
    if (err != TSYNC_SUCCESS)
    {
        printf(" *** Error: %s.\n", tsync_strerror(err));
        return TPRO_COMM_ERR;
    }
    
    return (TPRO_SUCCESS);
  }
