
/***************************************************************************
**  Module:     tsync_etp_services_recipes.c
**
**  Date:       09/10/09
**
**  Purpose:    Recipes used by the driver and TSYNC API library routines
**
** (C) Copyright 2009 Spectracom Corporation  All rights reserved.
**
****************************************************************************
** Modifications:
**
**              09/10/2009 Creation
**
****************************************************************************/

#include <stdlib.h>

#include "tsync_trans.h"
#include "tsync_etp_services.h"

/******************************************************
**     Define Objects
******************************************************/

#include "tsync_recipe_define.h"

RECIPE(ETP_VALUE)
RECIPE(ETP_SET_CMD)
RECIPE(ETP_CFG)
RECIPE(ETP_CFG_SET_CMD)

#include "tsync_recipe_undef.h"
