
/***************************************************************************
**  Module:     tsync_us_services_recipes.c
**
**  Date:       07/10/08
**
**  Purpose:    Recipes used by the driver and TSYNC API library routines
**
** (C) Copyright 2006 Spectracom Corporation  All rights reserved.
**
****************************************************************************
** Modifications:
**
**              07/10/2008 Creation
**
****************************************************************************/

#include <stdlib.h>

#include "tsync_trans.h"
#include "tsync_us_services.h"

/******************************************************
**     Define Objects
******************************************************/

#include "tsync_recipe_define.h"

RECIPE(UPDATE_START_CMD)
RECIPE(UPDATE_START_OC_CMD)
RECIPE(UPDATE_START_COMP_CMD)
RECIPE(DATA_CMD)
RECIPE(US_STATE)

#include "tsync_recipe_undef.h"
